"""
Python3 sample script to test websocket events
"""
import asyncio
import json
from pprint import pprint
import websockets

# Creds
USER_NAME = "RestUser"
PASSWORD = "RestPassword"
# Websocket url
URL = 'ws://%s:%s@192.168.1.52:8088/Events' % (USER_NAME, PASSWORD)


async def receive():
    uri = URL
    async with websockets.connect(uri) as websocket:
        async for message in websocket:
            print(' === message === ')
            data = json.loads(message)
            pprint(data)

asyncio.get_event_loop().run_until_complete(receive())
